<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM* and/or HCL**
- UrbanCode Deploy
- UrbanCode Build
- UrbanCode Release
- AnthillPro
- (c) Copyright IBM Corporation 2014, 2017. All Rights Reserved.
- (c) Copyright HCL Technologies Ltd. 2018. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-
- * Trademark of International Business Machines
- ** Trademark of HCL Technologies Limited
-->
<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <migrate to-version="4">
        <migrate-command name="Import Version">
            <migrate-properties>
                <migrate-property name="separator" default="."/>
            </migrate-properties>
        </migrate-command>
    </migrate>

    <migrate to-version="5">
        <migrate-command name="Import Version" />
    </migrate>
    <migrate to-version="6">
        <migrate-command name="Import Version" />
    </migrate>
    <migrate to-version="7">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="statuses" />
                <migrate-property name="links" />
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="8">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="unzipArchive" default="false"/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="9">
    </migrate>
    <migrate to-version="10">
    </migrate>
    <migrate to-version="11">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="recursive" default="false"/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="12">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="copyCount" default="1"/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="13">
    </migrate>
    <migrate to-version="14">
    </migrate>
    <migrate to-version="15">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="repoPath" default=""/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="16">
    </migrate>
    <migrate to-version="17">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="proxyHost" default=""/>
                <migrate-property name="proxyPort" default=""/>
                <migrate-property name="proxyPass" default=""/>
                <migrate-property name="proxyUser" default=""/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="18">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="includes" default=""/>
                <migrate-property name="excludes" default=""/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="19">
    </migrate>
    <migrate to-version="20">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="repoPath" default=""/>
                <migrate-property name="groupId" default=""/>
                <migrate-property name="artifactId" default=""/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="21">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="allowInsecure" default="false"/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="22">
    </migrate>
    <migrate to-version="23">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="apiKey" default=""/>
                <migrate-property name="checkHash" default="false"/>
                <migrate-property name="importCount" default=""/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="24">
    </migrate>
    <migrate to-version="25">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="copyCount" old="importCount"/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="26">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="extension" default="zip"/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="27">
    </migrate>
    <migrate to-version="28">
        <migrate-command name="Import Version" >
            <migrate-properties>
                <migrate-property name="description"/>
            </migrate-properties>
        </migrate-command>
    </migrate>
    <migrate to-version="29">
    </migrate>
</plugin-upgrade>
